

[![Banner](https://gitlab.com/PGTechs/pg-logos/-/raw/4963be53b9a461706e8f2a2ddcb9ab8a710501c7/atwork_g.png)](https://www.youtube.com/playlist?list=PLDpvBa7Jf-4oEM3skj5FFPk-BoP5UHFyC)

[![GitLab](https://img.shields.io/static/v1.svg?color=fc6d26&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=PG%20Techs%20GitLab&message=Star)](https://gitlab.com/PGTechs "GitLab Repo ของเรา")
[![YouTube](https://img.shields.io/static/v1.svg?color=ff0000&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=PG%20Techs%20YouTube&message=Subscribe)](https://www.youtube.com/c/PGTechs "ช่อง YouTube ของเรา")
[![Facebook](https://img.shields.io/static/v1.svg?color=0572e6&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=PG%20Techs%20Facebook&message=Like)](https://www.facebook.com/PrincegameRAX "เพจ Facebook ของเรา")


# สอนลงไดรเวอร์ RTL88x2bu บนลินุกซ์ดิสโทรต่าง ๆ

ติดตั้งไดรเวอร์ RTL88x2bu สำหรับตัวรับ Wi-Fi แบบ USB อย่าง ASUS USB-AC53 Nano, TP-Link Archer T3U หรือรุ่นอื่นที่ใกล้เคียงกัน บนลินุกซ์ดิสโทรต่าง ๆ ด้วยระบบ DKMS เพื่อให้ติดตั้งอัตโนมัติเมื่อมีการอัปเกรดเคอร์เนล
## 1. เชื่อมต่ออินเทอร์เน็ต
คอมพิวเตอร์ที่เราจะติดตั้งไดรเวอร์ Wi-Fi นี้จำเป็นต้องสามารถใช้งานอินเทอร์เน็ตได้ด้วยวิธีอื่น ๆ  เช่น
- USB Tethering จากสมาร์ทโฟน
- สาย LAN

## 2. เริ่มการติดตั้ง

### สำหรับดิสโทรในกลุ่ม Debian/Ubuntu

อัปเกรดแพ็กเกจในระบบให้เป็นเวอร์ชันล่าสุด ติดตั้งแพ็กเกจ build-essential, dkms และ kernel headers โดยการเปิดเทอร์มินัลแล้วรันคำสั่งต่อไปนี้

	sudo su
	apt update && apt upgrade
	apt install build-essential dkms linux-headers-$(uname -r)

จากนั้น ทำตามขั้นตอนใน [GitHub](https://github.com/RinCat/RTL88x2BU-Linux-Driver) ได้ทันที

	git clone "https://github.com/RinCat/RTL88x2BU-Linux-Driver.git" /usr/src/rtl88x2bu-git
	sed -i 's/PACKAGE_VERSION="@PKGVER@"/PACKAGE_VERSION="git"/g' /usr/src/rtl88x2bu-git/dkms.conf
	dkms add -m rtl88x2bu -v git
	dkms autoinstall

### สำหรับดิสโทรในกลุ่ม Fedora/RHEL 8.x/CentOS Stream

อัปเกรดแพ็กเกจในระบบให้เป็นเวอร์ชันล่าสุด ติดตั้งแพ็กเกจ dkms และ kernel headers โดยการเปิดเทอร์มินัลแล้วรันคำสั่งต่อไปนี้

	sudo su
	dnf upgrade

จากนั้น ทำตามขั้นตอนใน [GitHub](https://github.com/RinCat/RTL88x2BU-Linux-Driver) ได้ทันที

	git clone "https://github.com/RinCat/RTL88x2BU-Linux-Driver.git" /usr/src/rtl88x2bu-git
	sed -i 's/PACKAGE_VERSION="@PKGVER@"/PACKAGE_VERSION="git"/g' /usr/src/rtl88x2bu-git/dkms.conf
	dkms add -m rtl88x2bu -v git
	dkms autoinstall

### สำหรับดิสโทรในกลุ่ม Arch 

อัปเกรดแพ็กเกจในระบบให้เป็นเวอร์ชันล่าสุด ติดตั้งแพ็กเกจ `base-devel` แล้วตรวจสอบเวอร์ชันของเคอร์เนล

![kversion](screenshots/kversion.png)

ติดตั้งแพ็กเกจ Linux headers ที่สอดคล้องกับเคอร์เนลที่ใช้อยู่เช่น Linux 5.15 ให้ติดตั้ง `linux515-headers`

![kheaders](screenshots/kheaders.png)

เปิดใช้งาน [Arch User Repository](https://aur.archlinux.org/)

![aur](screenshots/aur.png)

ติดตั้งแพ็กเกจ [rtl88x2bu-dkms-git](https://aur.archlinux.org/packages/rtl88x2bu-dkms-git) จาก AUR

![rtl88x2bu](screenshots/rtl88x2bu.png)

## 3. ถอดและเสียบตัวรับ Wi-Fi อีกครั้ง ใช้งานได้ทันที

เราต้องทำให้ Linux ตรวจจับฮาร์ดแวร์ของเราอีกครั้ง วิธีที่ง่ายที่สุดคือการถอดอุปกรณ์ออกแล้วเสียบใหม่ หรือบังคับให้เรียกใช้ไดรเวอร์ขึ้นมาทันทีด้วยคำสั่งต่อไปนี้

	sudo modprobe 88x2bu


## ช่วยเหลือ

การติดตั้งไดรเวอร์ RTL88x2bu บนลินุกซ์ดิสโทรต่าง ๆ ก็จะประมาณนี้นะครับ ใครมีข้อสงสัย หรือติดขัดตรงไหน สามารถสอบถามกันเข้ามาทางคอมเมนต์หรืออินบอกซ์เพจ facebook ของเราได้เลยนะครับ